com.genesyslab.wfm8.API.service.config810

## Class CfgRotation

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgRotation

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgRotation
      extends java.lang.Object
      implements java.io.Serializable

  Rotating Pattern information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `protected java.lang.String` | `wmName` Name of Rotating Pattern
    `protected int` | `wmRotatingSchId` Rotating Pattern ID
    `protected double` | `wmRotationStart` Rotation Start Date (`OleDateTime`)
    `protected java.util.List<CfgRotationWeek>` | `wmRotationWeeks` An array of Week Patterns (`CfgRotationWeek`) in a Rotating Pattern
    `protected int` | `wmRotationWeeksNSizeIs` Number of elements in the wmRotationWeeks array
    `protected int` | `wmSiteId` Site ID--identifies CfgSite object

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgRotation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmRotatingSchId()` Gets the value of the wmRotatingSchId property.
    `double` | `getWmRotationStart()` Gets the value of the wmRotationStart property.
    `java.util.List<CfgRotationWeek>` | `getWmRotationWeeks()` Gets the value of the wmRotationWeeks property.
    `int` | `getWmRotationWeeksNSizeIs()` Gets the value of the wmRotationWeeksNSizeIs property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `hashCode()`
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmRotatingSchId(int value)` Sets the value of the wmRotatingSchId property.
    `void` | `setWmRotationStart(double value)` Sets the value of the wmRotationStart property.
    `void` | `setWmRotationWeeks(java.util.List<CfgRotationWeek> wmRotationWeeks)` Sets the value of the wmRotationWeeks property.
    `void` | `setWmRotationWeeksNSizeIs(int value)` Sets the value of the wmRotationWeeksNSizeIs property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `java.lang.String` | `toString()`
    `CfgRotation` | `withTimestamp(long value)`
    `CfgRotation` | `withWmName(java.lang.String value)`
    `CfgRotation` | `withWmRotatingSchId(int value)`
    `CfgRotation` | `withWmRotationStart(double value)`
    `CfgRotation` | `withWmRotationWeeks(CfgRotationWeek... values)`
    `CfgRotation` | `withWmRotationWeeks(java.util.Collection<CfgRotationWeek> values)`
    `CfgRotation` | `withWmRotationWeeksNSizeIs(int value)`
    `CfgRotation` | `withWmSiteId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmRotatingSchId

          protected int wmRotatingSchId

      Rotating Pattern ID

    - #### wmSiteId

          protected int wmSiteId

      Site ID--identifies CfgSite object

    - #### wmName

          protected java.lang.String wmName

      Name of Rotating Pattern

    - #### wmRotationStart

          protected double wmRotationStart

      Rotation Start Date (`OleDateTime`)

    - #### wmRotationWeeksNSizeIs

          protected int wmRotationWeeksNSizeIs

      Number of elements in the wmRotationWeeks array

    - #### wmRotationWeeks

          protected java.util.List<CfgRotationWeek> wmRotationWeeks

      An array of Week Patterns (`CfgRotationWeek`) in a Rotating Pattern

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgRotation

          public CfgRotation()

  - ### Method Detail

    - #### getWmRotatingSchId

          public int getWmRotatingSchId()

      Gets the value of the wmRotatingSchId property.

    - #### setWmRotatingSchId

          public void setWmRotatingSchId(int value)

      Sets the value of the wmRotatingSchId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmRotationStart

          public double getWmRotationStart()

      Gets the value of the wmRotationStart property.

    - #### setWmRotationStart

          public void setWmRotationStart(double value)

      Sets the value of the wmRotationStart property.

    - #### getWmRotationWeeksNSizeIs

          public int getWmRotationWeeksNSizeIs()

      Gets the value of the wmRotationWeeksNSizeIs property.

    - #### setWmRotationWeeksNSizeIs

          public void setWmRotationWeeksNSizeIs(int value)

      Sets the value of the wmRotationWeeksNSizeIs property.

    - #### getWmRotationWeeks

          public java.util.List<CfgRotationWeek> getWmRotationWeeks()

      Gets the value of the wmRotationWeeks property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmRotationWeeks property.

      For example, to add a new item, do as follows:

              getWmRotationWeeks().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgRotationWeek`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmRotatingSchId

          public CfgRotation withWmRotatingSchId(int value)

    - #### withWmSiteId

          public CfgRotation withWmSiteId(int value)

    - #### withWmName

          public CfgRotation withWmName(java.lang.String value)

    - #### withWmRotationStart

          public CfgRotation withWmRotationStart(double value)

    - #### withWmRotationWeeksNSizeIs

          public CfgRotation withWmRotationWeeksNSizeIs(int value)

    - #### withWmRotationWeeks

          public CfgRotation withWmRotationWeeks(CfgRotationWeek... values)

    - #### withWmRotationWeeks

          public CfgRotation withWmRotationWeeks(java.util.Collection<CfgRotationWeek> values)

    - #### withTimestamp

          public CfgRotation withTimestamp(long value)

    - #### setWmRotationWeeks

          public void setWmRotationWeeks(java.util.List<CfgRotationWeek> wmRotationWeeks)

      Sets the value of the wmRotationWeeks property.
      Parameters:
        `wmRotationWeeks` - allowed object is `CfgRotationWeek`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.